Bug 1129530 - [abrt] konsole: sprintf(): konsole killed by SIGSEGV
Summary: [abrt] konsole: sprintf(): konsole killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:40ea683f1cb3657e6ac171ed56e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 05:49 UTC by Christopher Heiny
Modified: 2015-06-29 22:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:02:45 UTC


Attachments (Terms of Use)
File: backtrace (28.97 KB, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: cgroup (181 bytes, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: core_backtrace (1.95 KB, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: dso_list (9.60 KB, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: environ (2.13 KB, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: maps (45.91 KB, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: open_fds (189 bytes, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details
File: var_log_messages (347 bytes, text/plain)
2014-08-13 05:49 UTC, Christopher Heiny
no flags Details

Description Christopher Heiny 2014-08-13 05:49:38 UTC
Description of problem:
I'm not sure what happened to cause the crash.

Version-Release number of selected component:
konsole-4.13.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 3
cmdline:        konsole
crash_function: sprintf
executable:     /usr/bin/konsole
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sprintf at /usr/include/bits/stdio2.h:34
 #1 create_atoms at /usr/src/debug/kdelibs-4.13.3/kdeui/windowmanagement/kwindowsystem_x11.cpp:349
 #3 KWindowSystem::compositingActive at /usr/src/debug/kdelibs-4.13.3/kdeui/windowmanagement/kwindowsystem_x11.cpp:824
 #4 __static_initialization_and_destruction_0 at /usr/src/debug/konsole-4.13.3/src/WindowSystemInfo.cpp:29
 #5 _GLOBAL__sub_I_WindowSystemInfo.cpp(void) at /usr/src/debug/konsole-4.13.3/src/WindowSystemInfo.cpp:29
 #6 call_init at dl-init.c:82
 #8 _dl_init at dl-init.c:130
 #9 _dl_start_user at /lib64/ld-linux-x86-64.so.2
 #10 ??
 #11 ??

Potential duplicate: bug 964213

Comment 1 Christopher Heiny 2014-08-13 05:49:40 UTC
Created attachment 926256 [details]
File: backtrace

Comment 2 Christopher Heiny 2014-08-13 05:49:41 UTC
Created attachment 926257 [details]
File: cgroup

Comment 3 Christopher Heiny 2014-08-13 05:49:42 UTC
Created attachment 926258 [details]
File: core_backtrace

Comment 4 Christopher Heiny 2014-08-13 05:49:43 UTC
Created attachment 926260 [details]
File: dso_list

Comment 5 Christopher Heiny 2014-08-13 05:49:44 UTC
Created attachment 926261 [details]
File: environ

Comment 6 Christopher Heiny 2014-08-13 05:49:45 UTC
Created attachment 926262 [details]
File: exploitable

Comment 7 Christopher Heiny 2014-08-13 05:49:45 UTC
Created attachment 926263 [details]
File: limits

Comment 8 Christopher Heiny 2014-08-13 05:49:46 UTC
Created attachment 926264 [details]
File: maps

Comment 9 Christopher Heiny 2014-08-13 05:49:47 UTC
Created attachment 926265 [details]
File: open_fds

Comment 10 Christopher Heiny 2014-08-13 05:49:48 UTC
Created attachment 926266 [details]
File: proc_pid_status

Comment 11 Christopher Heiny 2014-08-13 05:49:48 UTC
Created attachment 926267 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:37:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:02:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.